{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    Staffs Lookup
{% endblock %}

{% block head_block %}
    <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/css/select2.min.css" rel="stylesheet"/>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/js/select2.min.js"></script>

    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/css/bootstrap-select.min.css">

    <!-- Latest compiled and minified JavaScript -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/js/bootstrap-select.min.js"></script>


{% endblock %}

{% block rightPane %}
    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-list-ul"></i>
                Staff 's Look-up
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <form method="POST">{% csrf_token %}

                <div class="form-group">
                    <label class="control-label col-md-2 col-md-offset-2">
                        Staff from Departments
                    </label>
                    <div class="col-md-4">
                        <select name="department_selected" class="form-control selectpicker"
                                onchange="this.form.submit();">
                            {% for each in department_list %}
                                {% if each.id == selected_department.id %}
                                    <option value="{{ each.id }}" selected>{{ each }}</option>
                                {% else %}
                                    <option value="{{ each.id }}">{{ each }}</option>
                                {% endif %}
                            {% endfor %}
                        </select>
                    </div>
                </div>

            </form>
            <br><br>
            <form>
                <div class="table-responsive">
                    <table class="table table-hover table-striped">
                        <thead>
                        <tr>
                            <th>S. No.</th>
                            <th>Profile Image</th>
                            <th>Name</th>
                            <th>Designation</th>
                            <th>Email Address</th>
                            <th>Research Papers</th>
                            <th>Courses Attended</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for obj in combine_list %}
                            {% for staff in obj.list %}

                                <tr>
                                    <td><br>{{ forloop.parentloop.counter }}</td>
                                    <td>
                                        <div class="col-md-2 col-sm-2">
                                            <div class="profile_img">
                                                <div id="crop-avatar">
                                                    {% load static %}
                                                    {% get_media_prefix as MEDIA_ROOT %}
                                                    {% if staff.gender == "M" %}
                                                        <img src={% if staff.avatar %}
                                                            {{ MEDIA_ROOT }}{{ staff.avatar }}{% else %}
                                                            "{{ MEDIA_ROOT }}/images/male.png"
                                                        {% endif %}
                                                             alt="Image Not found" height="50px"
                                                             width="50px"><br/>
                                                    {% endif %}
                                                    {% if staff.gender == "F" %}
                                                        <img src={% if staff.avatar %}
                                                            {{ MEDIA_ROOT }}{{ staff.avatar }}{% else %}
                                                            "{{ MEDIA_ROOT }}/images/female.png"
                                                        {% endif %}
                                                             alt="Image Not found"
                                                             height="50px" width="50px"><br/>
                                                    {% endif %}
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <td><br>{{ staff.name }}</td>
                                    <td><br>{{ staff.designation }}</td>
                                    <td><br><a href="mailto:{{ staff.email }}">{{ staff.email }}</a></td>
                                    <td><br>
                                        {% for paper in obj.paper|slice:':3' %}
                                            {% if forloop.counter >= 3 %}
                                                ...
                                            {% else %}
                                                {% if forloop.counter != 1 %}
                                                    <br>
                                                {% endif %}
                                                {{ paper }}
                                            {% endif %}
                                        {% endfor %}
                                    </td>
                                    <td><br>
                                        {% for course in obj.course|slice:':3' %}
                                            {% if forloop.counter >= 3 %}
                                                ...
                                            {% else %}
                                                {% if forloop.counter != 1 %}
                                                    <br>
                                                {% endif %}
                                                {{ course }}
                                            {% endif %}
                                        {% endfor %}
                                    </td>
                                    <td><br>
                                        <a style="color: black" href="{% url 'viewprofile' staff_pk=staff.pk %}">
                                            <button type="button" class="btn1-sm btn-light-green">
                                                View All
                                            </button>
                                        </a>
                                        {% comment %}<!-- Button trigger modal -->
                                        <button type="button" class="btn1-sm btn-light-green" data-toggle="modal"
                                                data-target="#myModal{{ forloop.parentloop.counter }}">
                                            View All
                                        </button>

                                        <!-- Modal -->
                                        <div class="modal fade" id="myModal{{ forloop.parentloop.counter }}"
                                             tabindex="-1"
                                             role="dialog"
                                             aria-labelledby="myModalLabel1" aria-hidden="true">
                                            <div class="modal-dialog modal-lg" role="document">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <button type="button" class="close" data-dismiss="modal"
                                                                aria-label="Close">
                                                            <span aria-hidden="true">&times;</span>
                                                        </button>
                                                        <h4 class="modal-title" id="myModalLabel1"> Profile </h4>
                                                    </div>
                                                    <div class="">
                                                        <div class="col-md-4 col-sm-4 col-xs-12 profile_left">
                                                            <div class="profile_img">
                                                                <div id="crop-avatar">
                                                                    {% load static %}
                                                                    {% get_media_prefix as MEDIA_ROOT %}
                                                                    {% if staff.gender == "M" %}
                                                                        <img src={% if staff.avatar %}
                                                                            {{ MEDIA_ROOT }}{{ staff.avatar }}{% else %}
                                                                            "{{ MEDIA_ROOT }}/images/male.png"
                                                                        {% endif %}
                                                                             alt="Image Not found" height="250px"
                                                                             width="250px"><br/>
                                                                    {% endif %}
                                                                    {% if staff.gender == "F" %}
                                                                        <img src={% if staff.avatar %}
                                                                            {{ MEDIA_ROOT }}{{ staff.avatar }}{% else %}
                                                                            "{{ MEDIA_ROOT }}/images/female.png"
                                                                        {% endif %}
                                                                             alt="Image Not found"
                                                                             height="250px" width="250px"><br/>
                                                                    {% endif %}
                                                                </div>
                                                            </div>
                                                            <br>
                                                            <b><u>List of Papers of published</u></b><br>
                                                            {% for paper in obj.paper %}
                                                                &nbsp;&nbsp;{{ forloop.counter }}.&nbsp;&nbsp;&nbsp;
                                                                {{ paper }}
                                                                <br>
                                                            {% endfor %}
                                                            <br>
                                                            <b><u>List of Courses Attended</u></b><br>
                                                            {% for course in obj.course %}
                                                                &nbsp;&nbsp;{{ forloop.counter }}.&nbsp;&nbsp;&nbsp;
                                                                {{ course }}
                                                                <br>
                                                            {% endfor %}
                                                        </div>
                                                        <div class="col-md-8 col-sm-8 col-xs-12">

                                                            <table class="table">
                                                                <tr>
                                                                    <th><i class="fa fa-user"></i>&nbsp;&nbsp;
                                                                        Name
                                                                    </th>
                                                                    <td>{{ staff.name }}</td>
                                                                </tr>
                                                                <tr>
                                                                    <th><i class="fa fa-hashtag"></i>&nbsp;&nbsp;
                                                                        Staff id
                                                                    </th>
                                                                    <td>{{ staff.staff_id }}</td>
                                                                </tr>
                                                                <tr>
                                                                    <th><i class="fa fa-phone"></i>&nbsp;&nbsp;
                                                                        Phone no
                                                                    </th>
                                                                    <td>{{ staff.phone_number }}</td>
                                                                </tr>
                                                                <tr>
                                                                    <th><i class="fa fa-envelope"></i>&nbsp;&nbsp;
                                                                        Email id
                                                                    </th>
                                                                    <td>
                                                                        <a href="mailto:{{ staff.email }}">{{ staff.email }}</a>
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <th>
                                                                        {% if staff.gender == "M" %}
                                                                            <i class="fa fa-mars"></i>&nbsp;&nbsp;
                                                                        {% endif %}
                                                                        {% if staff.gender == "F" %}
                                                                            <i class="fa fa-venus"></i>&nbsp;&nbsp;
                                                                        {% endif %}
                                                                        Gender
                                                                    </th>
                                                                    <td>
                                                                        {% if staff.gender == "M" %}
                                                                            Male
                                                                        {% endif %}
                                                                        {% if staff.gender == "F" %}
                                                                            Female
                                                                        {% endif %}
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <th><i class="fa fa-calendar"></i>&nbsp;&nbsp;&nbsp;
                                                                        DOB
                                                                    </th>
                                                                    <td>{{ staff.dob }}</td>
                                                                </tr>
                                                                <tr>
                                                                    <th><i class="fa fa-university"></i>&nbsp;&nbsp;
                                                                        Department
                                                                    </th>
                                                                    <td>{{ staff.department }}</td>
                                                                </tr>
                                                                <tr>
                                                                    <th><i class="fa fa-suitcase"></i>&nbsp;&nbsp;&nbsp;&nbsp;
                                                                        Designation
                                                                    </th>
                                                                    <td>{{ staff.designation }}</td>
                                                                </tr>
                                                                <tr>
                                                                    <th><i class="fa fa-mortar-board"></i>&nbsp;&nbsp;
                                                                        Qualification
                                                                    </th>
                                                                    <td>{{ staff.qualification }}</td>
                                                                </tr>
                                                                <tr>
                                                                    <th><i class="fa fa-dot-circle-o"></i>&nbsp;&nbsp;
                                                                        Degree
                                                                    </th>
                                                                    <td>{{ staff.degree }}</td>
                                                                </tr>
                                                                <tr>
                                                                    <th><i class="fa fa-star"></i>&nbsp;&nbsp;
                                                                        Specialization
                                                                    </th>
                                                                    <td>{{ staff.specialization }}</td>
                                                                </tr>
                                                                <tr>
                                                                    <th><i class="fa fa-home"></i>&nbsp;&nbsp;
                                                                        Permanent address
                                                                    </th>
                                                                    <td>{{ staff.permanent_address }}</td>
                                                                </tr>
                                                                <tr>
                                                                    <th><i class="fa fa-building"></i>&nbsp;&nbsp;
                                                                        Temporary address
                                                                    </th>
                                                                    <td>{{ staff.temporary_address }}</td>
                                                                </tr>
                                                            </table>
                                                        </div>
                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="button" class="btn btn-secondary"
                                                                data-dismiss="modal">
                                                            Close
                                                        </button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>{% endcomment %}
                                    </td>
                                </tr>
                            {% endfor %}
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
            </form>
        </div>
        <br>
        <br>
        <br>
        <br>
    </div>
{% endblock %}